# envapi
> An API to interact with environment files

Since [v20.6.0](https://nodejs.org/en/blog/release/v20.6.0) Node.js has built-in support for dotenv files. [dotenv](https://www.npmjs.com/package/dotenv) does the same years before. [envfile](https://www.npmjs.com/package/envfile) even before that. So, why another one? The answer is simple: to provide a more flexible and powerful API.

## API
```ts
import { parse, stringify } from 'envapi'

const str = `
A=A
FOO = """bar
baz
"""
X:x #comment`

const env = parse(str)
{
  A: 'A',
  FOO: 'bar\nbaz',
  X: 'x'
}

const nstr = stringify(env)
`A=A
FOO="bar\nbaz"
X=x`
```

## License
[MIT](./LICENSE)
